
QGIS Application - Bug report #17517

Crash on raster layer render change from python

2017-11-22 11:51 AM - Vincent Mora

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Rasters

Affected QGIS version:master Regression?: Yes

Operating System: Ubuntu 16.10 Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25414

Description

Following the cookbook exemple, or simply loading a raster layer in qgis, making it active, and issuing in the python console:

iface.activeLayer().setRenderer(QgsSingleBandGrayRenderer(iface.activeLayer().dataProvider(), 1))

causes a segfault.

Associated revisions

Revision 98d2dcbf - 2017-11-22 03:18 PM - Alessandro Pasotti 

[bugfix] Crash on raster layer render change from python

Fixes #17517

Requires backporting

Revision fa7082b9 - 2017-11-27 03:30 PM - Alessandro Pasotti 

[bugfix] Crash on raster layer render change from python

Backported from master PR https://github.com/qgis/QGIS/pull/5696

Fixes #17517

History

#1 - 2017-11-22 03:02 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2017-11-22 03:02 PM - Alessandro Pasotti

also affects master

#3 - 2017-11-22 03:21 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Easy fix? changed from No to Yes

- Affected QGIS version changed from 2.18.14 to master
PR: https://github.com/qgis/QGIS/pull/5696

Backport will follow ....

#4 - 2017-11-22 04:44 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|98d2dcbf7acf9e2e60edffb5f2d667dceadf6b0c.

#5 - 2017-11-23 06:48 PM - Giovanni Manghi

- Resolution set to fixed/implemented
